Show / Hide Table of Contents

# Class Address

##### Inheritance

System.Object
Address
StaticAddress

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: FFXIVClientStructs.Interop

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public class Address

### Constructors

| Improve this Doc View Source

#### Address(String, String, UInt64[], UInt64[], UIntPtr)

##### Declaration

    public Address(string name, string string, ulong[] bytes, ulong[] mask, nuint value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.String | string |
System.UInt64[] | bytes |
System.UInt64[] | mask |
System.UIntPtr | value |

### Fields

| Improve this Doc View Source

#### Bytes

##### Declaration

    public readonly ulong[] Bytes

##### Field Value

Type | Description
--- | ---
System.UInt64[] |

| Improve this Doc View Source

#### Mask

##### Declaration

    public readonly ulong[] Mask

##### Field Value

Type | Description
--- | ---
System.UInt64[] |

| Improve this Doc View Source

#### Name

##### Declaration

    public readonly string Name

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### String

##### Declaration

    public readonly string String

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Value

##### Declaration

    public nuint Value

##### Field Value

Type | Description
--- | ---
System.UIntPtr |